#ifndef __DISKINFO_H__
#define __DISKINFO_H__

#ifdef __cplusplus //__cplusplus
extern "C" { /* assume C declarations for C++ */
#endif


#define IN
#define OUT

typedef struct _us_disk_info{
    unsigned char *model; //磁盘的型号
    unsigned char *deviceName; //磁盘的型号
    unsigned char *vendor; //磁盘的型号
    unsigned char *size; //磁盘的大小，单位G
    unsigned char *bus_addr; //磁盘的总线地址
    unsigned char *serial; //磁盘的序列号
}us_disk_info_t;

//获取所有磁盘列表
us_disk_info_t *us_get_disk_lists(int *counter );
int us_free_disk_lists(us_disk_info_t **diskInfoList, int counter);


#ifdef __cplusplus
}
#endif

#endif