#ifndef __GRAPHICINFO_H__
#define __GRAPHICINFO_H__

#ifdef __cplusplus //__cplusplus
extern "C" { /* assume C declarations for C++ */
#endif


#define IN
#define OUT

typedef struct _us_gpu_info{
    unsigned char *device; //芯片
    unsigned char *vendor; //厂商
    unsigned char *bus_addr;  //总线地址
    unsigned char *drv_version; //驱动版本
    unsigned char *driver; //驱动
}us_gpu_info_t;


us_gpu_info_t *us_get_gpu_lists(int *counter );
int us_free_gpu_lists(us_gpu_info_t **gpuInfoList, int counter );




#ifdef __cplusplus
}
#endif

#endif