#ifndef __SYSTEMINFO_H__
#define __SYSTEMINFO_H__

#ifdef __cplusplus //__cplusplus
extern "C" { /* assume C declarations for C++ */
#endif

#define SYS_INFO_PATH "/etc/cdos/info"
#define SYS_OS_RELEASE "/etc/os-release"
//#define KEY_SYS_NAME "GRUB_TITLE_ZH"
#define KEY_SYS_NAME "NAME"
#define KEY_SYS_ARCH "ARCH"
#define KEY_SYS_VERSION "VERSION"

#define IN
#define OUT


int us_get_sys_arch_info(OUT unsigned char *sysArch, OUT unsigned short *len);
int us_get_sys_name(OUT unsigned char *sysName, OUT unsigned short *len);
int us_get_sys_version(OUT unsigned char *sysVersion,OUT unsigned short *len);
int us_get_sys_activeStatus(OUT unsigned short *activeStatus);
int us_get_sys_serialNum(OUT unsigned char *serialNum, OUT unsigned short *len);
int us_get_sys_kernelVer(OUT unsigned char *kernelVer, OUT unsigned short *len);
int us_get_login_username(OUT unsigned char *username, OUT unsigned short *len);




#ifdef __cplusplus
}
#endif

#endif //__SYSTEMINFO_H__
